<?php

abstract class Service_Update_Abstract
{
	protected $_sVersion;
	
	public function __construct($sVersion)
	{
		$this->_sVersion = $sVersion;
	}
	
	public function getVersion()
	{
		return $this->_sVersion;
	}
	
	abstract function update();
	
	protected function executeTableUpdate($sFile)
	{
		$bootstrap = Zend_Controller_Front::getInstance()->getParam('bootstrap');
		$bootstrap->bootstrap('db');
		$config = $bootstrap->getResource('db')->getConfig();
		
		$dsn = 'mysql:dbname=' . $config["dbname"] . ';host=' . $config["host"];
		$db = new PDO($dsn, $config["username"], $config["password"]);
		
		$bootstrap = Zend_Controller_Front::getInstance()->getParam('bootstrap');
    	$aOptions = $bootstrap->getOption('monsterFile');

		$sql = file_get_contents($_SERVER['DOCUMENT_ROOT'] . $aOptions['directory'] . '/application/models/sql/' . $this->_sVersion . '/' . $sFile . '.sql');
		$qr = $db->exec($sql);
	}
}