<?php

class Application_Form_Auth_Password extends Zend_Form
{
    public function init()
    {
    	$view = Zend_Layout::getMvcInstance()->getView();
		$this->setAction($view->baseUrl('/auth/password'));
        $this->setName('passwordform');
        $this->setMethod('post');

        $username = new Zend_Form_Element_Text('email');
        $username->setAttrib('placeholder', 'eMail');
        $username->setRequired();

        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Reset my password');
		$submit->setAttribs(array('class' => 'btn btn-info', 'style' => 'width:220px;'));

        $this->addElements(array($username, $submit));
    }
}