<?php

class Application_Form_Folder extends Zend_Form
{
    public function init()
    {
        $this->setAttrib('enctype', 'multipart/form-data');
        $this->setMethod('post');
		$this->setName('folderForm');

        $description = new Zend_Form_Element_Text('name');
        $description
            ->setRequired(true)
			->setAttrib('placeholder', 'Name')
			->addValidator('Alnum')
			->setFilters(array('StringTrim'))
            ->addValidator('NotEmpty');
        $this->addElement($description);

        $this->addElement('submit', 'submit', array(
            'label'    => 'Create',
            'ignore'   => true,
            'class' 	=> 'btn btn-primary'
        ));
    }
}