<?php

class Application_Form_Install extends Zend_Form {
	
    public function init() {
    	
		$view = Zend_Layout::getMvcInstance()->getView();
		//$this->setAction($view->baseUrl());
		$this->setName('newUserForm');
		
		$this->addElement('text', 'firstName', array(
            'filters'    => array('StringTrim'),
            'required'   => true,
            'placeholder'      => 'first name',
            'class' => 'input-block-level',
            'validators' => array(
				array('validator' => 'StringLength', 'options' => array(0, 50))
			)
        ));
		
		$this->addElement('text', 'lastName', array(
            'filters'    => array('StringTrim'),
            'required'   => true,
            'placeholder'      => 'last name',
            'class' => 'input-block-level',
            'validators' => array(
				array('validator' => 'StringLength', 'options' => array(0, 50))
			)
        ));
		
		$this->addElement('text', 'password', array(
            'filters'    => array('StringTrim'),
            'required'   => true,
            'placeholder' => 'password',
            'description' => 'Password length minimum: 5',
            'class' => 'input-block-level',
            'validators' => array(
				array('validator' => 'StringLength', 'options' => array(5, 50))
			)
        ));
				
		$this->addElement('text', 'email', array(
            'filters'    => array('StringTrim'),
            'placeholder'      => 'eMail',
            'required' => true,
            'class' => 'input-block-level',
            'validators' => array(
				array('validator' => 'StringLength', 'options' => array(0, 50)),
			)
        ));
		$this->getElement('email')->addValidator('EmailAddress');
		
        $login = $this->addElement('submit', 'save', array(
            'required' => false,
            'ignore'   => true,
            'label'    => 'Install',
			'class' 	=> 'btn btn-large btn-block btn-success'
        ));
    }
}