<?php

class Service_Update_1_3 extends Service_Update_Abstract
{
	const VERSION = "1/3";
	
	public function __construct()
	{
		parent::__construct(self::VERSION);
	}
	
	public function update()
	{
		$oModelSetting = new Application_Model_Setting();
		$oModelSetting->update(array('value' => '1.3'), 'name = "version"');
		
		if (is_null($oModelSetting->fetchRow("name = 'analytics_code'")))
		{
			$oModelSetting->insert(array(
				'name' => 'analytics_code',
				'value' => ''
			));
		}
		
		if (is_null($oModelSetting->fetchRow("name = 'demo'")))
		{
			$oModelSetting->insert(array(
				'name' => 'demo',
				'value' => 'false'
			));
		}
		
		if (is_null($oModelSetting->fetchRow("name = 'ad_link_top'")))
		{
			$oModelSetting->insert(array(
				'name' => 'ad_link_top',
				'value' => ''
			));
		}
		
		if (is_null($oModelSetting->fetchRow("name = 'ad_link_bottom'")))
		{
			$oModelSetting->insert(array(
				'name' => 'ad_link_bottom',
				'value' => ''
			));
		}
		
		if (is_null($oModelSetting->fetchRow("name = 'pagination'")))
		{
			$oModelSetting->insert(array(
				'name' => 'pagination',
				'value' => '10'
			));
		}
	}
}